PressReader System Requirements
 
The System Requirements for PressReader Web web version can be obtained via the following link :
 
https://care.pressreader.com/hc/en-us/articles/217210366-Authentication-system-requirements
 
The PressReader Mobile App has a minimum requirement as stated below ;
 
iOs version 9.0  and above
 
Android version 5.0 and above